
From: Olaf Hering <olh@suse.de>

gen-devlist should print how many bytes will be cut off and pci.ids entry. 
Also print the removed '[more blah]' part.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pci/gen-devlist.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletion(-)

diff -puN drivers/pci/gen-devlist.c~pci-be-more-verbose-in-gen-devlist drivers/pci/gen-devlist.c
--- 25/drivers/pci/gen-devlist.c~pci-be-more-verbose-in-gen-devlist	Fri Mar 11 14:53:38 2005
+++ 25-akpm/drivers/pci/gen-devlist.c	Fri Mar 11 14:53:38 2005
@@ -72,9 +72,19 @@ main(void)
 						/* Too long, try cutting off long description */
 						bra = strchr(c, '[');
 						if (bra && bra > c && bra[-1] == ' ')
+#if 0
+						{
+							fprintf(stderr, "Line %d: cut off '%s' from line:\n", lino, bra);
+							fprintf(stderr, " '%s'\n", c);
 							bra[-1] = 0;
+							fprintf(stderr, " '%s'\n", c);
+						}
+#else
+							bra[-1] = 0;
+#endif
 						if (vendor_len + strlen(c) + 1 > MAX_NAME_SIZE) {
-							fprintf(stderr, "Line %d: Device name too long. Name truncated.\n", lino);
+							fprintf(stderr, "Line %d: Device name %d chars too long. Name truncated.\n",
+									lino, (vendor_len + strlen(c) + 1) - MAX_NAME_SIZE);
 							fprintf(stderr, "%s\n", c);
 							/*return 1;*/
 						}
_
